%define majver %(echo %version | cut -d. -f1-2)
Name:          karchive
Version:       5.17.0
Release:       1mamba
Summary:       Classes for easy reading, creation and manipulation of "archive" formats like ZIP and TAR
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%majver/karchive-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libgcc
BuildRequires: liblzma-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libbzip2-devel
BuildRequires: liblzma-devel
BuildRequires: libz-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KArchive provides classes for easy reading, creation and manipulation of "archive" formats like ZIP and TAR.
It also provides transparent compression and decompression of data, like the GZip format, via a subclass of QIODevice.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Classes for easy reading, creation and manipulation of "archive" formats like ZIP and TAR

%description -n lib%{name}
KArchive provides classes for easy reading, creation and manipulation of "archive" formats like ZIP and TAR.
It also provides transparent compression and decompression of data, like the GZip format, via a subclass of QIODevice.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for lib%{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Archive.so.*
%doc AUTHORS COPYING COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KArchive
%{_kde5_includedir}/karchive_version.h
%{_kde5_libdir}/cmake/KF5Archive
%{_kde5_libdir}/libKF5Archive.so
%{_kde5_mkspecsdir}/qt_KArchive.pri
%doc README.md

%changelog
* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Tue Oct 20 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Thu Sep 24 2015 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Mon Jul 13 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Thu Jun 18 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.0-1mamba
- update to 5.9.0

* Thu Apr 02 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.8.0-2mamba
- standardize the specfile

* Thu Mar 19 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
